[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TComponentList.Extract

Remove a component from the list without destroying it.

## Declaration

Source position: contnrs.pp line 107

`public function TComponentList.Extract(`
`Item: TComponent`
`):TComponent;`

## Arguments

`Item` |  | The component to extract.

## Function result

The extracted component, or Nil if none was found.

## Description

Extract removes a component (Item) from the list, without destroying it. It overrides the implementation of TObjectList so only TComponent descendents can be extracted. It introduces no new behaviour.

Extract returns the instance that was extracted, or Nil if no instance was found.

## See also

TComponentList.Remove |  | Remove a component from the list, possibly destroying it.
TObjectList.Extract |  | Extract an object from the list.